# eric5.Preferences.ConfigurationPages.HelpVirusTotalPage

Module implementing HelpVirusTotalPage.

### Global Attributes

None

### Classes

HelpVirusTotalPage | Class documentation goes here.

### Functions

create | Module function to create the configuration page.

## HelpVirusTotalPage

Class documentation goes here.

### Derived from

ConfigurationPageBase, Ui_HelpVirusTotalPage

### Class Attributes

None

### Class Methods

None

### Methods

HelpVirusTotalPage | Constructor
__checkServiceKeyFinished | Private slot to receive the result of the service key check.
on_testButton_clicked | Private slot to test the entered service key.
on_vtServiceKeyEdit_textChanged | Private slot to handle changes of the service key.
save | Public slot to save the VirusTotal configuration.

### Static Methods

None

#### HelpVirusTotalPage (Constructor)

HelpVirusTotalPage(parent=None)

Constructor

parent
  reference to the parent widget (QWidget)

#### HelpVirusTotalPage.__checkServiceKeyFinished

__checkServiceKeyFinished(result, msg)

Private slot to receive the result of the service key check.

result
  flag indicating a successful check (boolean)
msg
  network error message (str)

#### HelpVirusTotalPage.on_testButton_clicked

on_testButton_clicked()

Private slot to test the entered service key.

#### HelpVirusTotalPage.on_vtServiceKeyEdit_textChanged

on_vtServiceKeyEdit_textChanged(txt)

Private slot to handle changes of the service key.

txt
  entered service key (string)

#### HelpVirusTotalPage.save

save()

Public slot to save the VirusTotal configuration.

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Returns:
  reference to the instantiated page (ConfigurationPageBase)

Up